私たちのアプリをインストールする 🪄 アドレスバーの右上にあるアイコンをクリックします。

プロジェクト

GET https://digily.link/api/projects/
curl --request GET \
--url 'https://digily.link/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
パラメータ 詳細 説明
search オプション 文字列 検索文字列。
search_by オプション 文字列 どのフィールドで検索していますか。許可されている値は: name
datetime_field オプション 文字列 許可されている値: datetime, last_datetime
datetime_start オプション 文字列 この日時から始まる結果をフィルタリングします。Y-m-d H:i:s 形式。
datetime_end オプション 文字列 この日時までの結果をフィルターします。Y-m-d H:i:s形式。
order_by オプション 文字列 結果を並べ替えるフィールド。許可されている値は: project_id, datetime, last_datetime, name
order_type オプション 文字列 結果の順序。許可される値は、昇順のASCと降順のDESCです。
page オプション 整数 結果を取得したいページ番号。デフォルトは1です。
results_per_page オプション 整数 1ページあたりの結果数を指定してください。許可されている値は: 10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-05-13 00:05:34",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/projects?page=1",
        "last": "https://digily.link/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/projects?page=1"
    }
}
GET https://digily.link/api/projects/{project_id}
curl --request GET \
--url 'https://digily.link/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-05-13 00:05:34",
    }
}
POST https://digily.link/api/projects
パラメータ 詳細 説明
name 必須 文字列 -
color オプション 文字列 -
curl --request POST \
--url 'https://digily.link/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
    "data": {
        "id": 1
    }
}
POST https://digily.link/api/projects/{project_id}
パラメータ 詳細 説明
name オプション 文字列 -
color オプション 文字列 -
curl --request POST \
--url 'https://digily.link/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
    "data": {
        "id": 1
    }
}
DELETE https://digily.link/api/projects/{project_id}
curl --request DELETE \
--url 'https://digily.link/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \